AntiFeatures:
  - NonFreeNet
  - UpstreamNonFree
  - Tracking
Categories:
  - Internet
License: GPL-2.0-or-later
SourceCode: https://github.com/Forkgram/TelegramAndroid
IssueTracker: https://github.com/Forkgram/TelegramAndroid/issues
Changelog: https://github.com/Forkgram/TelegramAndroid/releases

AutoName: Forkgram

RepoType: git
Repo: https://github.com/Forkgram/TelegramAndroid.git

Builds:
  - versionName: 8.4.3.0
    versionCode: 253109
    commit: 8.4.3.0
    timeout: 18000
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go
      - update-alternatives --auto java
    gradle:
      - afat
    prebuild: ./jni/prebuild_fdroid.sh 0 14577864 54d3ae230fd8f985ce9adccf08fbd9d6
    scandelete:
      - TMessagesProj/jni
    ndk: r21e

  - versionName: 8.4.4.0
    versionCode: 253809
    commit: 8.4.4.0
    timeout: 18000
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go
      - update-alternatives --auto java
    gradle:
      - afat
    prebuild: ./jni/prebuild_fdroid.sh 0 14577864 54d3ae230fd8f985ce9adccf08fbd9d6
    scandelete:
      - TMessagesProj/jni
    ndk: r21e

  - versionName: 8.5.0.0
    versionCode: 254709
    commit: 8.5.0.0
    timeout: 18000
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go
      - update-alternatives --auto java
    gradle:
      - afat
    prebuild: ./jni/prebuild_fdroid.sh 0 14577864 54d3ae230fd8f985ce9adccf08fbd9d6
    scandelete:
      - TMessagesProj/jni
    ndk: r21e

  - versionName: 8.5.1.0
    versionCode: 255109
    commit: 8.5.1.0
    timeout: 18000
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go
      - update-alternatives --auto java
    gradle:
      - afat
    prebuild: ./jni/prebuild_fdroid.sh 0 14577864 54d3ae230fd8f985ce9adccf08fbd9d6
    scandelete:
      - TMessagesProj/jni
    ndk: r21e

  - versionName: 8.5.2.0
    versionCode: 256309
    commit: 8.5.2.0
    timeout: 18000
    subdir: TMessagesProj
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk ninja-build golang-go
      - update-alternatives --auto java
    gradle:
      - afat
    prebuild: ./jni/prebuild_fdroid.sh 0 14577864 54d3ae230fd8f985ce9adccf08fbd9d6
    scandelete:
      - TMessagesProj/jni
    ndk: r21e

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 8.5.2.0
CurrentVersionCode: 256309
